Subject: Re: Request for well-known URI: opendiscovery

From: Mark Nottingham <[email-masked]>
Date: Tue, 21 Nov 2017 13:13:50 +1100

Hi Henrik,

Sorry for the delay; IETF week (and the lead-up to it) tends to be all-consuming.

I see a couple of issues here:

1) As it is, the link you've provided isn't a sufficient reference; it is required to be "in sufficient detail so that interoperability between independent implementations is possible" <https://tools.ietf.org/html/rfc8126#section-4.6>. It also seems far from "sufficiently stable and permanent" (ibid.).

2) As per RFC5785, Section 1.1 explains inappropriate use of well-known URIs:

"""
well-known URIs are not intended for general information retrieval or establishment of large URI namespaces on the Web.  Rather, they are designed to facilitate discovery of information on a site when it isn't practical to use other mechanisms; for example, when discovering policy that needs to be evaluated before a resource is accessed, or when using multiple round-trips is judged detrimental to performance.
"""

It's hard to tell because the vagueness of the specification, but it seems like this mechanism is veering towards that. Have you explored other mechanisms, such as host-meta <https://tools.ietf.org/html/rfc6415>?

Cheers,

P.S. I also see you're trying to use a HTTP header beginning with "X-"; this practice is deprecated in <https://tools.ietf.org/html/rfc6648>.

On 1 Nov 2017, at 4:30 am, Henrik Biering <[email-masked]> wrote:

> This is a request to register the well-known URI suffix “opendiscovery” allowing registered business entities to associate themselves with their online services and trusted third party claims, in order to make these easily discoverable without the need for a common third party.
> 
> Presently the project is at the "Proof of Concept" stage with a basic preliminary specification, but we would like to have the suffix registered now as it reflects the project name and we are in talks with both interested user groups and public authorities on how to organize the further standardization and implementation efforts for various business purposes.
> 
> The requested registry content is:
> 
> URI suffix:
> opendiscovery
> 
> Change controller:
> The OpenDiscovery Project
> https://www.opendiscovery.biz/
> [email-masked]
> +45 46 96 56 36
> c/o Peercraft ApS, Aalandsgade 23, 2300 Copenhagen S, DENMARK
> 
> Specification document:
> https://www.opendiscovery.biz/specifications
> 
> Related information:
> https://www.opendiscovery.biz/
> (Project website with links to background docs and Github repositories)
> https://ec.europa.eu/futurium/en/blog/native-business-service-discovery-critical-issue-ngi
> (Relevance to the upcoming EU Next Generation Internet efforts https://ec.europa.eu/futurium/en/node/1460)
> -- 
> On behalf of the Opendiscovery Project,
> Henrik Biering
> CEO
> linkedin.com/in/hbiering
> 
> Peercraft ApS
> Aalandsgade 23
> 2300 Copenhagen S
> DENMARK
> 
> www.peercraft.com
> +45 46 96 56 36
> [email-masked]
> 
> 
> _______________________________________________
> wellknown-uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/wellknown-uri-review

--
Mark Nottingham   https://www.mnot.net/